<?php
/**
 * Default template for displaying the store.
 * 
 * @since 0.4.0
 * @package IT_Exchange
 * 
 * WARNING: Do not edit this file directly. To use
 * this template in a theme, simply copy over this
 * file's content to the exchange directory located
 * at your templates root.
 * 
 * Example: theme/exchange/content-store.php
*/
?>

<?php it_exchange_get_template_part( 'messages' ); ?>

<div id="it-exchange-store">
	<ul class="it-exchange-products">
		<?php if ( it_exchange( 'store', 'has-products' ) ) : ?>
			<?php while( it_exchange( 'store', 'products' ) ) : ?>
				<li class="it-exchange-product">
					<?php if ( it_exchange( 'product', 'has-featured-image' ) ) : ?>
						<a class="it-exchange-product-permalink" href="<?php it_exchange( 'product', 'permalink', array( 'format' => 'url') ); ?>">
							<?php it_exchange( 'product', 'featured-image', array( 'size' => 'large' ) ); ?>
						</a>
					<?php endif; ?>
					<div class="it-exchange-product-details">
						<?php it_exchange( 'product', 'title' ); ?>
						<?php it_exchange( 'product', 'baseprice' ); ?>
						<a class="it-exchange-product-details-link" href="<?php it_exchange( 'product', 'permalink', array( 'format' => 'url') ); ?>"><?php _e( 'View Details', 'it-l10n-ithemes-exchange' ); ?></a>
					</div>
				</li>
			<?php endwhile; ?>
		<?php else : ?>
			<p><?php _e( 'No Products Found', 'it-l10n-ithemes-exchange' ); ?></p>
		<?php endif; ?>
	</ul>
</div>
